/**
 * Maps all nodes to their parent node recursively.
 *
 * @param {import('./types.js').XastParent} node
 * @returns {Map<import('./types.js').XastNode, import('./types.js').XastParent>}
 */
export function mapNodesToParents(node: import("./types.js").XastParent): Map<import("./types.js").XastNode, import("./types.js").XastParent>;
export function querySelectorAll(node: import("./types.js").XastParent, selector: string, parents?: Map<import("./types.js").XastNode, import("./types.js").XastParent> | undefined): import("./types.js").XastChild[];
export function querySelector(node: import("./types.js").XastParent, selector: string, parents?: Map<import("./types.js").XastNode, import("./types.js").XastParent> | undefined): import("./types.js").XastChild | null;
export function matches(node: import("./types.js").XastElement, selector: string, parents?: Map<import("./types.js").XastNode, import("./types.js").XastParent> | undefined): boolean;
export const visitSkip: unique symbol;
export function visit(node: import("./types.js").XastNode, visitor: import("./types.js").Visitor, parentNode?: any | undefined): void;
export function detachNodeFromParent(node: import("./types.js").XastChild, parentNode: import("./types.js").XastParent): void;
